Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class BaseObject

    java.lang.Object
      |
      +--oracle.jbo.common.BaseObject

Direct Known Subclasses:
  oracle.jbo.server.java.util.AbstractCollection, NamedObjectImpl, PropertiesHelper, RowImpl

public abstract class BaseObject
extends java.lang.Object

The base class of all component classes.

Since:
  Jdeveloper 3.0

Field Summary
`static int` | `TRACE_EVERY_ALLOC`
`static int` | `TRACE_NONE`
`static int` | `TRACE_OCCASIONAL`
`static int` | `TRACE_UNINITIALIZED`

Constructor Summary
`BaseObject()`

Method Summary
`static void` | `dumpState()`
`static void` | `setTraceLevel(int lev)`
`static void` | `setTraceWriter(java.io.PrintStream out)` public static final void trprintln(String s) { if (mWriter == null) { Diagnostic.println(s); } else { mWriter.println(s); } }

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRACE_UNINITIALIZED

    public static final int TRACE_UNINITIALIZED

### TRACE_NONE

    public static final int TRACE_NONE

### TRACE_OCCASIONAL

    public static final int TRACE_OCCASIONAL

### TRACE_EVERY_ALLOC

    public static final int TRACE_EVERY_ALLOC

Constructor Detail

### BaseObject

    public BaseObject()

Method Detail

### setTraceWriter

    public static final void setTraceWriter(java.io.PrintStream out)

  public static final void trprintln(String s) { if (mWriter == null) { Diagnostic.println(s); } else { mWriter.println(s); } }

### setTraceLevel

    public static final void setTraceLevel(int lev)

### dumpState

    public static final void dumpState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD